efipay 1.0.6 copy "efipay: ^1.0.6" to clipboard
efipay: ^1.0.6 copied to clipboard

A dart library for integration with payment services provided by Efi.

SDK Dart para APIs Efí Pay

Banner APIs Efí Pay


Curtidas Pontos Popularidade Versão

SDK em Dart para integração com as APIs Efí para emissão de Pix, boletos, carnês, cartão de crédito, assinatura, link de pagamento, marketplance, Pix via Open Finance, pagamento de boletos, dentre outras funcionalidades. Para mais informações sobre parâmetros e valores/tarifas consulte nosso site.


Ir para:

Instalação #

Para usar este plugin, adicione gerencianet como uma dependência em seu arquivo pubspec.yaml.

Começando #

Em seguida, inicialize o plugin de preferência no initState do seu widget.

...
import 'package:efipay/efipay.dart';

class _PaymentPageState extends State<PaymentPage> {
  var config = {
    'client_id': 'YOUR_CLIENT_ID',
    'client_secret': 'YOU_CLIENT_SECRET',
    'sandbox': false,
    'certificate': 'PATH_CERTIFICATE_IN_PROJECT',
    'account_id': 'YOU_ACCOUNT_ID'
  };
  EfiPay efipay;

  @override
  void initState() {
    this.efipay  = EfiPay(config);
  }

}
...

Exemplos #

Você pode consultar todos os exemplos disponiveis para Flutter, clicando aqui.

Documentação Adicional #

A documentação completa com todos os endpoints e detalhes da API está disponível em https://dev.efipay.com.br/.

Licença #

MIT

3
likes
125
pub points
59%
popularity

Publisher

verified publisherefipay.com.br

A dart library for integration with payment services provided by Efi.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

encrypt, flutter, pointycastle

More

Packages that depend on efipay